~ [ source navigation ] ~ [ diff markup ] ~ [ identifier search ] ~

TOMOYO Linux Cross Reference
Linux/tools/perf/tests/shell/stat_all_pfm.sh

Version: ~ [ linux-6.12-rc7 ] ~ [ linux-6.11.7 ] ~ [ linux-6.10.14 ] ~ [ linux-6.9.12 ] ~ [ linux-6.8.12 ] ~ [ linux-6.7.12 ] ~ [ linux-6.6.60 ] ~ [ linux-6.5.13 ] ~ [ linux-6.4.16 ] ~ [ linux-6.3.13 ] ~ [ linux-6.2.16 ] ~ [ linux-6.1.116 ] ~ [ linux-6.0.19 ] ~ [ linux-5.19.17 ] ~ [ linux-5.18.19 ] ~ [ linux-5.17.15 ] ~ [ linux-5.16.20 ] ~ [ linux-5.15.171 ] ~ [ linux-5.14.21 ] ~ [ linux-5.13.19 ] ~ [ linux-5.12.19 ] ~ [ linux-5.11.22 ] ~ [ linux-5.10.229 ] ~ [ linux-5.9.16 ] ~ [ linux-5.8.18 ] ~ [ linux-5.7.19 ] ~ [ linux-5.6.19 ] ~ [ linux-5.5.19 ] ~ [ linux-5.4.285 ] ~ [ linux-5.3.18 ] ~ [ linux-5.2.21 ] ~ [ linux-5.1.21 ] ~ [ linux-5.0.21 ] ~ [ linux-4.20.17 ] ~ [ linux-4.19.323 ] ~ [ linux-4.18.20 ] ~ [ linux-4.17.19 ] ~ [ linux-4.16.18 ] ~ [ linux-4.15.18 ] ~ [ linux-4.14.336 ] ~ [ linux-4.13.16 ] ~ [ linux-4.12.14 ] ~ [ linux-4.11.12 ] ~ [ linux-4.10.17 ] ~ [ linux-4.9.337 ] ~ [ linux-4.4.302 ] ~ [ linux-3.10.108 ] ~ [ linux-2.6.32.71 ] ~ [ linux-2.6.0 ] ~ [ linux-2.4.37.11 ] ~ [ unix-v6-master ] ~ [ ccs-tools-1.8.12 ] ~ [ policy-sample ] ~
Architecture: ~ [ i386 ] ~ [ alpha ] ~ [ m68k ] ~ [ mips ] ~ [ ppc ] ~ [ sparc ] ~ [ sparc64 ] ~

  1 #!/bin/sh
  2 # perf all libpfm4 events test
  3 # SPDX-License-Identifier: GPL-2.0
  4 
  5 if perf version --build-options | grep HAVE_LIBPFM | grep -q OFF
  6 then
  7   echo "Skipping, no libpfm4 support"
  8   exit 2
  9 fi
 10 
 11 err=0
 12 for p in $(perf list --raw-dump pfm)
 13 do
 14   if echo "$p" | grep -q unc_
 15   then
 16     echo "Skipping uncore event '$p' that may require additional options."
 17     continue
 18   fi
 19   echo "Testing $p"
 20   result=$(perf stat --pfm-events "$p" true 2>&1)
 21   x=$?
 22   if echo "$result" | grep -q "failed to parse event $p : invalid or missing unit mask"
 23   then
 24     continue
 25   fi
 26   if test "$x" -ne "0"
 27   then
 28     echo "Unexpected exit code '$x'"
 29     err=1
 30   fi
 31   if ! echo "$result" | grep -q "$p" && ! echo "$result" | grep -q "<not supported>"
 32   then
 33     # We failed to see the event and it is supported. Possibly the workload was
 34     # too small so retry with something longer.
 35     result=$(perf stat --pfm-events "$p" perf bench internals synthesize 2>&1)
 36     x=$?
 37     if test "$x" -ne "0"
 38     then
 39       echo "Unexpected exit code '$x'"
 40       err=1
 41     fi
 42     if ! echo "$result" | grep -q "$p"
 43     then
 44       echo "Event '$p' not printed in:"
 45       echo "$result"
 46       err=1
 47     fi
 48   fi
 49 done
 50 
 51 exit "$err"

~ [ source navigation ] ~ [ diff markup ] ~ [ identifier search ] ~

kernel.org | git.kernel.org | LWN.net | Project Home | SVN repository | Mail admin

Linux® is a registered trademark of Linus Torvalds in the United States and other countries.
TOMOYO® is a registered trademark of NTT DATA CORPORATION.

sflogo.php